package com.casic.common.detector.gd.utils

/**
 * 千寻服务器请求鉴权构造器
 * */
class NtripAuthorizationCreator : ArrayList<Any>() {

    fun append(param: Any): NtripAuthorizationCreator {
        this.add(param)
        return this
    }

    override fun toString(): String {
        val builder = StringBuilder()
        for (i in 0 until this.size) {
            val s = this[i]
            if (i == this.size - 1) {
                builder.append(s).append("\r\n\r\n")
            } else {
                builder.append(s).append("\r\n")
            }
        }
        return builder.toString()
    }
}